---
title: User Management
slug: epmm/v2-api-guide/user-management
createdAt: 2026-10-06T08:06:37.407Z
---

This chapter describes the V2 API calls you use to query and manipulate Ivanti EPMM users.

## Find authorized users

This call gets a list of all authorized users in the system, or a subset of users retrieved by the query parameter if you issue it with the call.

:::hint{type="info"}
The default number of records returned from this API is 1,000,000. Use the **limit&#x20;**&#x70;arameter to specify a return value appropriate for your environment. Ivanti recommends a value of 1000.
:::

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                      |
| ------------------------------------------------------------------ |
| **Category:** User Management<br />**Role Description:** View user |

### HTTP method

GET

### Request URI

/api/v2/authorized/users

### Request parameters

| Parameter          | Description                                                                                                                                                                                                                                                                 | Sample Value |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />Device space ID of the administrator.                                                                                                                                                           | 1            |
| query              | **Parameter Type:** Query<br />**Data Type:** String<br />**Min:** 1 character<br />**Max:** 20 characters<br />Search expression. Will search against first name, last name, and principal fields. The call returns all authorized users in the absence of this parameter. | mia          |
| limit              | **Parameter Type:** Query<br />**Data Type:** Number<br />**Min:** 0<br />**Max:** 200<br />**Default:** 200<br />Indicates the maximum number of entries to return. Must be at least 0 and no more than 200.                                                               |              |
| offset             | **Parameter Type:** Query<br />**Data Type:** Number<br />**Min:** 0<br />**Max:** 10,000,000<br />**Default:** 0<br />Indicates the index of the first entry to return.                                                                                                    |              |
| sortOrder          | **Parameter Type:** Query<br />**Data Type:** String<br />**Default:** ASC<br />Indicates the order in which entries are returned. Values can be "ASC" or "DESC".                                                                                                           | ASC          |

### Response fields

| Field       | Description                                                                                                                                                      |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| results     | Container for the results set, which is an array of all authorized users retrieved. See the sample response below for the fields contained in the results array. |
| hasMore     | Indicates whether there are more records in the retrieved set.                                                                                                   |
| totalCount  | The total number of entries that the query matched.                                                                                                              |
| resultCount | The number of entries that are being returned.                                                                                                                   |

### Sample request and response

### Request

`curl -k -sS -u <userName>:<password> -XGET 'https://[Ivanti EPMM]/api/v2/authorized/users?adminDeviceSpaceId=1&query=mia'`

### Response

:::CodeblockTabs
Code

```curl
{
    "results": [
        {

            "ldapuser": false,
            "localUser": true,
            "passcodeInBytes": "",
            "passwordHashSHA256": null,
            "androidWorkEmailAddress": null,
            "androidWorkUserId": null,
            "lastLoginIp": "10.11.82.143",
            "lastAdminPortalLoginTime": 1464205553139,
            "samlPseudonymousIdentifier": null,
            "forcePasswordChange": false,
            "languageId": null,
            "countryId": null,
            "opaque": true,
            "userSource": "L",
            "value": null,
            "enabled": true,
            "createdBy": null,
            "createdAt": 1464202042000,
            "email": "miadmin@mobileiron.com",
            "lastName": "",
            "firstName": "miadmin",
            "displayName": "miadmin",
            "devices": [ ],
            "roles": [
                "ROLE_MPW_REG",
                "ROLE_MPW_CHANGE_OWNERSHIP",
                "ROLE_USER_PORTAL_RW",
                "ROLE_MPW_LOCK",
                "ROLE_MPW_WIPE",
                "ROLE_MPW_LOCATE",
                "ROLE_MPW_RETIRE",
                "ROLE_MPW_UNLOCK"
            ],
            "deviceSpacePath": "/1/",
            "deviceSpaceId": 1,
            "principal": "miadmin",
            "id": 9001,
            "uuid": "2fc7d8e7-71e7-4216-a317-5a2879ae9cab"
        }
    ],
    "hasMore": false,
    "resultCount": 1,
    "totalCount": 1
}
```
:::

